# namecoin-update
Tool to keep namecoin names updated and well

### Usage

Set the RPC options in the namecoin config file, for example
```ini
rpcuser=namecoin
rpcpassword=secret
rpcbind=127.0.0.1
rpcport=8332
```

Then simply run

    $ namecoin-update /path/to/namecoin/config

### How it works

namecoin-update connects to the RPC server using the authentication options
given, it scan the names registered and issue a `name_update`, confirming the
current value, for those that will expire in under 100 blocks.

### License

Copyright (C) 2016 Michele Guerini Rocco

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
